# Examples

This directory contains example projects demonstrating how to use the Competition Agent to solve [Pond's AI model competitions](https://cryptopond.xyz/modelFactory/list). Each example is a complete end-to-end solution for a specific competition.

## Available Examples

### [Sybil Address Prediction](sybil_address/)
This example demonstrates how to use the Competition Agent to solve the [Sybil Address Prediction](https://cryptopond.xyz/modelFactory/detail/2) competition. It shows a complete end-to-end pipeline from data processing to submission.

### [Price Estimation on Pump.Fun](pumpfun_price/)
This example demonstrates how to use the Competition Agent to solve the [Price Estimation on Pump.Fun](https://cryptopond.xyz/modelFactory/detail/66) competition. It shows a complete end-to-end pipeline from data processing to submission.

## Getting Started
1. Choose an example that matches your interest
2. Follow the README.md in that example's directory
3. Make sure to set up your OpenAI API key in the example's `.env` file

**Note**: Because LLMs (e.g., GPT-4o) are non-deterministic, results may vary each time they run. They can also generate incorrect or non-executable code. While a bug-fixing agent is included, it may not catch every issue. If you encounter errors, please re-run the notebook/script. If problems persist, open an [issue](https://github.com/Pond-International/pond-agent/issues) on GitHub.
